VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
VstTestEnh Class Reference

Test Helper. More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstTestEnh:

## Public Types
enum | AudioDefaults { kBlockSize = 64, kMaxSamplesPerBlock = 8192, kSampleRate = 44100 }

## Public Member Functions
| VstTestEnh (IPlugProvider *plugProvider, ProcessSampleSize sampl)
virtual | ~VstTestEnh ()
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestBase
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
virtual const char * | getName () const =0
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)

## Protected Attributes
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from VstTestBase
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Detailed Description

Test Helper.

## Member Enumeration Documentation

enum AudioDefaults

Enumerator
kBlockSize |
kMaxSamplesPerBlock |
kSampleRate |

## Constructor & Destructor Documentation

VstTestEnh | ( | IPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl
| ) |  |

~VstTestEnh | ( |  | ) |
| virtual

## Member Function Documentation

bool setup | ( |  | ) |

bool teardown | ( |  | ) |

## Member Data Documentation

IAudioProcessor* audioEffect
| protected

ProcessSetup processSetup
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.